Skip to main content
POST
Accept an offer on your listing
CLI equivalent: ornn offers accept --listing-id <listing-id> --offer-id <offer-id> --yes.

Authorizations

Authorization
string
header
required

Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.

Path Parameters

listingId
string<uuid>
required

Listing ID (capacityListingId or listingId).

offerId
string<uuid>
required

Offer ID.

Response

Offer accepted.

offer
object
required
reservationId
string<uuid>
required

The buyer's reservation; equal to the offer ID.